net.sf.jasperreports.olap.mondrian

## Class JRMondrianMember

- java.lang.Object
- - net.sf.jasperreports.olap.mondrian.JRMondrianMember

- All Implemented Interfaces:
    JROlapMember

      public class JRMondrianMember
      extends java.lang.Object
      implements JROlapMember

  Version:
    $Id: JRMondrianMember.java 6912 2014-02-18 17:32:41Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRMondrianMember(mondrian.olap.Member member, JRMondrianFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDepth()`
    `java.lang.Object` | `getMember()`
    `java.lang.String` | `getName()`
    `JROlapMember` | `getParentMember()`
    `java.lang.Object` | `getPropertyValue(java.lang.String propertyName)`
    `java.lang.String` | `getUniqueName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRMondrianMember

          public JRMondrianMember(mondrian.olap.Member member,
                          JRMondrianFactory factory)

  - ### Method Detail

    - #### getDepth

          public int getDepth()

      Specified by:
        `getDepth` in interface `JROlapMember`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `JROlapMember`

    - #### getParentMember

          public JROlapMember getParentMember()

      Specified by:
        `getParentMember` in interface `JROlapMember`

    - #### getPropertyValue

          public java.lang.Object getPropertyValue(java.lang.String propertyName)

      Specified by:
        `getPropertyValue` in interface `JROlapMember`

    - #### getUniqueName

          public java.lang.String getUniqueName()

      Specified by:
        `getUniqueName` in interface `JROlapMember`

    - #### getMember

          public java.lang.Object getMember()

      Specified by:
        `getMember` in interface `JROlapMember`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com